<?php
// vim: :set filetype=php tabstop=4 shiftwidth=4 autoindent smartindent:

Class Dmidecode {

	private $j = "/tmp/dmi.json";
	private $trig = "/usr/local/asterisk/incron/SYSTEM.dmijson";
	private $refresh = 300;

	public function __construct() {
		$this->ha = new freepbxha;
	}

	public function getThisNode() {
		$ret = $this->ha->incron->dmijson();
		return $ret['result'];
	}

	public function getOtherNode() {
		$this->ha->ssh->runOnOtherNode("touch /usr/local/asterisk/incron/SYSTEM.dmijson");
		// Sleep for 1/4 of a second, then wait for it to complete.
		usleep(250000);
		$ret = $this->ha->ssh->runOnOtherNode("stat /usr/local/asterisk/incron/SYSTEM.dmijson");
		if ($ret['ret'] != 1) {
			throw new \Exception("Unknown - No response");
		}

		// Now see if we can grab the output file
		$maxwait = 10; // Try 10 times.
		while (true) {
			if (!$maxwait) {
				// More than 10 attempts
				throw new \Exception("Timeout waiting for response");
			}

			$maxwait--;
			$ret = $this->ha->ssh->runOnOtherNode("stat -t ".$this->j);
			if ($ret['ret'] == 1) {
				// File doesn't exist. Sleep 250msec and try again.
				usleep(250000);
				continue;
			}

			// It exists. What size is it?
			$vars = explode(" ", $ret['result'][0]);
			if ($vars[1] == "0") {
				// zero sized file. Still being generated
				usleep(100000);
				continue;
			}

			// Awesome. It exists AND it's not zero sized
			$ret = $this->ha->ssh->runOnOtherNode("cat ".$this->j);
			$dmi = @json_decode($ret['result'][0], true);
			if (!is_array($dmi)) {
				// Parse error? Still being written?
				usleep(100000);
				continue;
			}

			// Yay. Everything's happy.
			return $dmi;
		}
	}
}
