<?php
$thisnode = _("This node is:");
$othernode = _("Other node is:");
$err = _("Error! Unable to reach HA server! Is a failover in progress?");
?>

  <div class='panel panel-default'>
    <div class='panel-body'>
      <div class='col-sm-3 thisnode'><?php echo $thisnode; ?></div>
      <div class='col-sm-3 thisnode nodediv' id='thisnode'></div>
      <div class='col-sm-3 othernode'><?php echo $othernode; ?></div>
      <div class='col-sm-3 othernode nodediv' id='othernode'></div>
      <div class='clearfix' id='nodealert' style='display: none'>
	<div class='alert alert-warning' id='nodealert' style='margin-bottom: 0; margin-top: .5em'><?php echo $err; ?></div>
      </div>
    </div>
  </div>

<script type='text/javascript'>
function updateNodeStatus(data) {
	var th = data['thishost'];
	var oh = data['otherhost'];

	var thtml, ohtml;

	$("#nodealert").hide();

	window.thishost = th;
	window.thisstatus = data[th];
	window.otherhost = oh;
	window.otherstatus = data[oh];

	// Create the span with the class of the status of the node..
	if (typeof(data[th]) !== "undefined") {
		thtml = "<span class='"+data[th]+"'>"+th+"</span>";
	} else {
		thtml = "<span class='info'>"+th+"</span>";
	}
	$("#thisnode").html(thtml);

	if (typeof(data[oh]) !== "undefined") {
		ohtml = "<span class='"+data[oh]+"'>"+oh+"</span>";
	} else {
		ohtml = "<span class='info'>"+oh+"</span>";
	}
	$("#othernode").html(ohtml);
}

function doNodeError(data, why) {
	console.log("Error detected!", data, why);
	$("#nodealert").show();
	$("#thisnode").html('<span class="hostdown">Error</span>');
	$("#othernode").html('<span class="hostdown">Error</span>');
}

</script>
